## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global _description %{expand:
BioSig is a software library for processing of biomedical signals (EEG, ECG,
etc.) with Matlab, Octave, C/C++ and Python. A standalone signal viewer
supporting more than 30 different data formats is also provided.}

%global pretty_name biosig

Name:       biosig4c++
Version:    2.6.1
Release:    %autorelease
Summary:    A software library for processing of biomedical signals

# SPDX
License:    GPL-3.0-or-later
URL:        https://sourceforge.net/projects/%{pretty_name}/
Source:     https://downloads.sourceforge.net/project/%{pretty_name}/BioSig%20for%20C_C%2B%2B/src/%{pretty_name}-%{version}.src.tar.xz

# Drop i686
# https://fedoraproject.org/wiki/Changes/EncourageI686LeafRemoval
ExcludeArch:    %{ix86}

BuildRequires:  suitesparse-devel
BuildRequires:  tinyxml-devel
BuildRequires:  zlib-devel
BuildRequires:  gcc-c++
BuildRequires:  pkgconf-pkg-config
BuildRequires:  libb64-devel
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  make

%description
%{_description}

%package devel
Summary:    A software library for processing of biomedical signals
Requires:   %{name}%{?_isa} = %{version}-%{release}

%description devel
%{_description}


%prep
%autosetup -p1 -n %{pretty_name}-%{version}


%build
autoreconf -i -f
%configure
pushd %{name}
%make_build
%make_build save2gdf
%make_build biosig_fhir
popd

# make %{?_smp_mflags} mex4o
# make %{?_smp_mflags} biosig4python


%install
pushd %{name}
%make_install
popd

# Remove static libraries
rm -fv $RPM_BUILD_ROOT/%{_libdir}/libbiosig.a
rm -fv $RPM_BUILD_ROOT/%{_libdir}/libphysicalunits.a

chmod -x $RPM_BUILD_ROOT%{_mandir}/man1/*.1
# Remove man pages for tools that aren't included
rm -f $RPM_BUILD_ROOT/%{_mandir}/man1/{mexSLOAD,sigviewer}.1

%ldconfig_scriptlets

%files
%license COPYING
%doc %{name}/AUTHORS %{name}/README %{name}/NEWS %{name}/THANKS
%{_bindir}/bin2rec
%{_bindir}/biosig2gdf
%{_bindir}/rec2bin
%{_bindir}/heka2itx
%{_bindir}/physicalunits
%{_bindir}/save2aecg
%{_bindir}/save2gdf
%{_bindir}/save2scp
%{_bindir}/biosig_fhir
%{_libdir}/libbiosig.so.3
%{_mandir}/man1/*.1.gz



%files devel
%{_includedir}/%{pretty_name}-dev.h
%{_includedir}/%{pretty_name}.h
%{_includedir}/biosig2.h
%{_includedir}/gdftime.h
%{_includedir}/physicalunits.h
%{_libdir}/libbiosig.so
%{_libdir}/pkgconfig/libbiosig.pc


%changelog
## START: Generated by rpmautospec
* Sat Oct 19 2024 Sandro <devel@penguinpee.nl> - 2.6.1-1
- Update to 2.6.1 (RHBZ#2302712)

* Wed Jul 17 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.6.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Mar 22 2024 Sandro <devel@penguinpee.nl> - 2.6.0-3
- Drop i686 support (leaf package)

* Fri Mar 22 2024 Sandro <devel@penguinpee.nl> - 2.6.0-2
- Migrate to SPDX license

* Fri Mar 22 2024 Sandro <devel@penguinpee.nl> - 2.6.0-1
- Update to 2.6.0 (RHBZ#2264832)
- Use macros consistently

* Sun Feb 04 2024 Orion Poplawski <orion@nwra.com> - 2.5.2-6
- Rebuild with suitesparse 7.6.0

* Tue Jan 23 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.5.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.5.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Nov 25 2023 Sandro <devel@penguinpee.nl> - 2.5.2-3
- Remove executable bit from all man pages

* Sat Nov 25 2023 Sandro <devel@penguinpee.nl> - 2.5.2-2
- Drop <snapinfo> from Release:

* Sat Nov 25 2023 Sandro <devel@penguinpee.nl> - 2.5.2-1.20230718git963071e
- Update to 2.5.2 (RHBZ#1947489)
- Use proper <snapinfo>
- Drop patches
- Use upstream source tarball
- Update %%files
- Remove obsolete comments

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.5-11.gita2aae2b
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jan 26 2023 Florian Weimer <fweimer@redhat.com> - 1.9.5-10.gita2aae2b
- Apply upstream patches to fix C99 compatibility issues

* Wed Jan 18 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.5-9.gita2aae2b
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Jul 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.5-8.gita2aae2b
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Jan 19 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.5-7.gita2aae2b
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.5-6.gita2aae2b
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.5-5.gita2aae2b
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.5-4.gita2aae2b
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.5-3.gita2aae2b
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.5-2.gita2aae2b
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Fri Aug 30 2019 Aniket Pradhan <aniket17133@iiitd.ac.in> - 1.9.5-1.gita2aae2b
- Upgraded to v1.9.5

* Wed Jul 24 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.3-3.git94296e0
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.3-2.git94296e0
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Nov 17 2018 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 1.9.3-1.git94296e0
- Initial build
- use make_build

## END: Generated by rpmautospec
